#ifndef ASSICTSCALET2000_H
#define ASSICTSCALET2000_H

#include "serialbasehandle.h"
#include <pqQtlib/serialport/pqassicbrhelp.h>

class AssicTScaleT2000 : public SerialBaseHandle,public PQ::AssicBrHelp
{
public:
    AssicTScaleT2000();
    ~AssicTScaleT2000();
    virtual bool needSend();
    virtual QByteArray sendData();
    virtual void handle(QByteArray & data);
protected:
    virtual void doHandle(const QByteArray & data);
};

#endif // ASSICTSCALET2000_H
